Bug 1296005 - [abrt] firewalld: lookdict_unicode_nodummy(): python3.4 killed by SIGSEGV
[abrt] firewalld: lookdict_unicode_nodummy(): python3.4 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a16b897529ecb79f8e1a3bce580...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 00:44 EST by PhysicsN
Modified: 2016-12-20 12:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:38:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.15 KB, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: cgroup (198 bytes, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: core_backtrace (17.37 KB, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: dso_list (6.46 KB, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: environ (88 bytes, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: maps (28.78 KB, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: mountinfo (2.91 KB, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: open_fds (428 bytes, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: proc_pid_status (970 bytes, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-06 00:44 EST, PhysicsN
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2016-01-06 00:44 EST, PhysicsN
no flags Details

  None (edit)
Description PhysicsN 2016-01-06 00:44:19 EST
Version-Release number of selected component:
firewalld-0.3.14.2-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/python3 -Es /usr/sbin/firewalld --nofork --nopid
crash_function: lookdict_unicode_nodummy
executable:     /usr/bin/python3.4
global_pid:     1061
kernel:         4.2.8-300.fc23.x86_64
runlevel:       unknown
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 lookdict_unicode_nodummy at /usr/src/debug/Python-3.4.3/Objects/stringlib/eq.h:12
 #2 _PyDict_LoadGlobal at /usr/src/debug/Python-3.4.3/Objects/dictobject.c:1157
 #3 PyEval_EvalFrameEx at /usr/src/debug/Python-3.4.3/Python/ceval.c:2245
 #4 PyEval_EvalCodeEx at /usr/src/debug/Python-3.4.3/Python/ceval.c:3617
 #5 function_call at /usr/src/debug/Python-3.4.3/Objects/funcobject.c:632
 #6 PyObject_Call at /usr/src/debug/Python-3.4.3/Objects/abstract.c:2040
 #7 call_function_tail at /usr/src/debug/Python-3.4.3/Objects/abstract.c:2078
 #8 callmethod at /usr/src/debug/Python-3.4.3/Objects/abstract.c:2147
 #9 _PyObject_CallMethodId at /usr/src/debug/Python-3.4.3/Objects/abstract.c:2192
 #10 PyEval_ReInitThreads at /usr/src/debug/Python-3.4.3/Python/ceval.c:418
Comment 1 PhysicsN 2016-01-06 00:44:26 EST
Created attachment 1112022 [details]
File: backtrace
Comment 2 PhysicsN 2016-01-06 00:44:27 EST
Created attachment 1112023 [details]
File: cgroup
Comment 3 PhysicsN 2016-01-06 00:44:30 EST
Created attachment 1112024 [details]
File: core_backtrace
Comment 4 PhysicsN 2016-01-06 00:44:32 EST
Created attachment 1112025 [details]
File: dso_list
Comment 5 PhysicsN 2016-01-06 00:44:33 EST
Created attachment 1112026 [details]
File: environ
Comment 6 PhysicsN 2016-01-06 00:44:35 EST
Created attachment 1112027 [details]
File: limits
Comment 7 PhysicsN 2016-01-06 00:44:37 EST
Created attachment 1112028 [details]
File: maps
Comment 8 PhysicsN 2016-01-06 00:44:38 EST
Created attachment 1112029 [details]
File: mountinfo
Comment 9 PhysicsN 2016-01-06 00:44:40 EST
Created attachment 1112030 [details]
File: namespaces
Comment 10 PhysicsN 2016-01-06 00:44:41 EST
Created attachment 1112031 [details]
File: open_fds
Comment 11 PhysicsN 2016-01-06 00:44:42 EST
Created attachment 1112032 [details]
File: proc_pid_status
Comment 12 PhysicsN 2016-01-06 00:44:44 EST
Created attachment 1112033 [details]
File: var_log_messages
Comment 13 PhysicsN 2016-01-06 00:44:45 EST
Created attachment 1112034 [details]
File: exploitable
Comment 14 Thomas Woerner 2016-01-07 11:46:32 EST
This is a python3 issue.
Comment 15 Fedora Admin XMLRPC Client 2016-01-29 08:08:19 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora End Of Life 2016-11-24 09:44:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 12:38:37 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.